package com.mitchell.ws;

import java.rmi.RemoteException;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.jws.soap.SOAPBinding.ParameterStyle;
import javax.xml.bind.annotation.XmlElement;

import com.mitchell.address.Address;


@WebService(name = "AddressWS",
		serviceName = "AddressService",
	    portName = "AddressPort",
	    wsdlLocation = "WEB-INF/wsdl/address.wsdl",
	    targetNamespace = "http://www.mitchell.com/address"
	   )
@SOAPBinding(style = SOAPBinding.Style.DOCUMENT, parameterStyle = ParameterStyle.WRAPPED) 

public class AddressWS {

	@WebMethod
	@XmlElement(required=true)
	public void printAddress(
			@WebParam(name = "address", targetNamespace = "http://www.mitchell.com/address")
			@XmlElement(required = true)
			final Address address) throws RemoteException {
		System.out.println("\n\n\n Address dump");
		System.out.println(address.getCity());
		System.out.println(address.getState());
		System.out.println(address.getZipCode());
	}
}
